# No outside connectivity in koji
%global with_tests 0
%global pypi_name casttube

Name:           python-%{pypi_name}
Version:        0.2.1
Release:        17%{?dist}
Summary:        A python library to interact with the Youtube Chromecast api

License:        MIT
URL:            https://github.com/ur1katz/casttube
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz

BuildArch: noarch
BuildRequires:  python3-devel
%if 0%{?with_tests}
BuildRequires:  python3-requests
%endif

%description
Casttube is a python library to interact with the Youtube Chromecast api.

%package -n python3-casttube
Summary:        A python library to interact with the Youtube Chromecast api
%{?python_provide:%python_provide python3-casttube}

Requires: python3-requests

%description -n python3-casttube
Casttube is a python library to interact with the Youtube Chromecast api.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
rm -f %{buildroot}%{_prefix}/LICENSE
%pyproject_save_files %{pypi_name}

%check
%if %{with_tests}
%{__python3} setup.py test
%endif

%files -n python3-casttube -f %{pyproject_files}
%license LICENSE

%changelog
* Tue Jul 08 2025 Peter Robinson <pbrobinson@fedoraproject.org> - 0.2.1-17
- Migrate to new python build macros (rhbz: 2377505)

* Mon Jun 02 2025 Python Maint <python-maint@redhat.com> - 0.2.1-16
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.2.1-13
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.2.1-9
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.2.1-6
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.2.1-3
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Oct 03 2020 Peter Robinson <pbrobinson@fedoraproject.org> - 0.2.1-1
- Update to 0.2.1

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.2.0-4
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Sep 23 2019 Peter Robinson <pbrobinson@fedoraproject.org> 0.2.0-2
- Review updates

* Wed Sep 11 2019 Peter Robinson <pbrobinson@fedoraproject.org> 0.2.0-1
- initial packaging
